module mod_kymodel_calc

	use globals

	implicit none

    contains 
    
    subroutine kymodel_calc

	real(dp)			 :: capinc,wagebill,totwealth,gdp

	integer              :: it

	totwealth = 0.0_dp
	capinc    = 0.0_dp
	wagebill  = 0.0_dp
	
	do it = t0,tt
	    totwealth = totwealth + alive(it)*sum(asim(it,:))/surv(it-1)
	    capinc    = capinc + alive(it)*sum(asim(it,:))*(r/surv(it-1)-one)
	    if (it <= tw)   wagebill  = wagebill + alive(it)*sum(wsim(it,:))
	enddo

    gdp = capinc + wagebill    

    kymodel=totwealth/gdp
    
    print*, '======='
    print*, 'predicted k/y ratio:', totwealth/gdp

    
    end subroutine kymodel_calc
    
end module mod_kymodel_calc

