real(dp) function funbetawlth(betain)

	use globals
	use mod_user_configurations
	use mod_allocation
	use mod_parametervals	
	use mod_readextdata
	use mod_family
    use mod_zprocess
    use mod_policy
    use mod_grids    
	use mod_solveit	
	use mod_simulate
	use mod_outdata
	use mod_kymodel_calc
	implicit none

	real(dp), intent(in) :: betain

	integer              :: it

	beta = betain

	call solveit
	call simulate_lifecycle
    call kymodel_calc   ! see capital_income_ratio.f90
    
    funbetawlth = ( kymodel - kytarget )**two

    print*, 'calibrated beta:', betain
    print*, '======='
    
end function funbetawlth

