!====================================================!
!======= module with matrix/vector operations =======!
!====================================================!
module mathutils
    use globals    
    
    contains  
    
    !linspace
    function linspace(xmin,xmax,n)
        real(dp)				:: xmin, xmax, linspace(n)
        integer n, i
        
        linspace = (/ (xmin + (xmax-xmin)*i/(n-1),i=0,n-1) /)
    end function linspace
end module mathutils