!=====================================================!
!======= module to initialize parameter values =======!
!=====================================================!
module mod_parametervals

use globals
implicit none	

contains
	subroutine parametervals
	
	    real(dp),dimension(4,4) :: rhos,siges,sige0s
	    integer :: rid

        ! Coefficient of relative risk aversion
        eta     = two
            	
        ! common parameters for all models
        ! (from stor2004)
        rho     = 0.9989_dp
        sig_z   = 0.0166_dp**0.5_dp
        sig_zt  = 0.0630_dp**0.5_dp
        sig_zf  = 0.2105_dp**0.5_dp
		
	end subroutine parametervals

end module mod_parametervals